Wireshark-dev: Re: [Wireshark-dev] Bad package created from 1.7.0
From: Helge Kruse <[email protected]>
Date: Wed, 20 Jul 2011 09:29:47 +0200
Am 19.07.2011 14:23, schrieb Davide Milanesio:
Hi all,

I am trying to make a Wireshark Installer from the latest development
release (1.7.0), according to Section 2.2.13 of Wireshark Developer's
Guide.
Compiling and testing on Win XP.

Unfortunately, after the source is correctly compiled and also the
installer is generated,
if such installer is launched, after the installation process the new
.exe files are not working
(the message -translated from Italian- is: "Application not correctly
initialised (0x0c150002)")

Instead, following the same procedure from release 1.5.0 was successful.

Any hint? ;-)
Looks at least at a typo with the code:

0x0c150002 = Sev_Success + Fac_0x0C15 + Code_0x0002
0xc0150002 = Sev_Error + Fac_0x0015 + Code_0x0002

0x0015 = 37 = FACILITY_DIRECTORYSERVICE
0x0002 =  2 = ERROR_FILE_NOT_FOUND

The last recent problem I faced with this code was that the runtime was not available in the correct version. Did you test the installer on the development machine?
You can check, which versions of the runtime libraries are in the WinSxS 
directories and which version your executables (wireshark.exe, any 
load-time-DLL) requires. I have seen that a Windows update installed new 
versions of the runtime in Visual Studio as a bugfix.
I am uncertain where the installer grabs the runtime libraries that must 
be installed on the target machine. Probably this must be fixed.
Helge